import 'package:widgets/load_state_layout.dart';

class ForsaleState {
  int? activeTabIndex =0;
  //页面 LoadView 状态的展示
  LoadState loadingState;
  String? errorMessage;

  int? curPage;
  int? pageSize = 10;
  int? filterCount = 0;
  List<Map<String, dynamic>> list;

  List<String>? tabsList = ['For Sale', 'For Rent'];

  ForsaleState({
    this.activeTabIndex,
    this.loadingState = LoadState.State_Loading,
    String? errorMessage,
    this.curPage = 1,
    this.pageSize = 10,
    this.filterCount = 0,
    required this.list,
    this.tabsList,
  });

  ForsaleState copyWith({
    int? activeTabIndex,
    LoadState? loadingState,
    String? errorMessage,
    int? curPage,
    int? pageSize,
    int? filterCount,
    List<Map<String, dynamic>>? list,
    List<String>? tabsList,
  }) {
    return ForsaleState(
      activeTabIndex: activeTabIndex ?? this.activeTabIndex,
      loadingState: loadingState ?? this.loadingState,
      errorMessage: errorMessage ?? this.errorMessage,
      curPage: curPage ?? this.curPage,
      pageSize: pageSize ?? this.pageSize,
      filterCount: filterCount ?? this.filterCount,
      tabsList: tabsList ?? this.tabsList,
      list: list ?? this.list,
    );
  }

  Map<String, dynamic> toMap() {
    return {
      'activeTabIndex': this.activeTabIndex,
      'loadingState': this.loadingState,
      'errorMessage': this.errorMessage,
      'curPage': this.curPage,
      'pageSize': this.pageSize,
      'filterCount': this.filterCount,
      'list': this.list,
      'tabsList': this.tabsList,
    };
  }

  factory ForsaleState.fromMap(Map<String, dynamic> map) {
    return ForsaleState(
      activeTabIndex: map['activeTabIndex'] as int,
      loadingState: map['loadingState'] as LoadState,
      errorMessage: map['errorMessage'] as String,
      curPage: map['curPage'] as int,
      pageSize: map['pageSize'] as int,
      filterCount: map['filterCount'] as int,
      list: map['list'] as List<Map<String, dynamic>>,
      tabsList: map['tabsList'] as List<String>,
    );
  }
}