import 'package:plugin_platform/engine/toast/toast_engine.dart';
import 'package:riverpod_annotation/riverpod_annotation.dart';
import 'package:router/componentRouter/component_service_manager.dart';

part 'me_view_model.g.dart';

@riverpod
class MeViewModel extends _$MeViewModel {
  @override
  void build() {}

  //去我的房产页面
  void gotoMyEstatePage() {
    ComponentServiceManager().profileService.startMyEstatePage();
  }

  //去我的家庭成员页面
  void gotoMyHouseholdPage() {
    ComponentServiceManager().profileService.startMyHouseHoldPage();
  }

  //去我的发布页面
  void gotoMyPostPage() {
    ToastEngine.show("去我的发布页面");
  }

  //去设置页面
  void gotoSettingPage() {
    ComponentServiceManager().profileService.startSettingPage();
  }

  //我的关注Tab
  void gotoFollowingPage() {
    ToastEngine.show("我的关注Tab");
  }

  //我的粉丝Tab
  void gotoFollowerPage() {
    ToastEngine.show("我的粉丝Tab");
  }

  //编辑附加信息
  void gotoEditProfilePage() {
    ComponentServiceManager().profileService.startEditProfilePage();
  }
}
